### org.jfree.layouting.renderer.model.table.cols

# Class TableColumnGroup

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cols.TableColumnGroup`

`public class TableColumnGroup`
`extends java.lang.Object`

A table column group contains one or more table columns. The table column group is a normalized element.

A column group may defined a shared background for all columns. The column group may define a minimum width. If the contained cells do not use all of that granted width, they get some extra padding.

As Mozilla does not take the width of a colgroup into account, we will neither.

Author:
  Thomas Morgner

  ## Constructor Summary

  `TableColumnGroup()`

  `TableColumnGroup(Border border)`

  ## Method Summary

  `void`

  `addColumn(TableColumn column)`

  `void`

  `freeze()`

  `Border`

  `getBorder()`

  `TableColumn`

  `getColumn(int pos)`

  `int`

  `getColumnCount()`

## Constructor Details

### TableColumnGroup

    public TableColumnGroup()

### TableColumnGroup

    public TableColumnGroup(Border border)

## Method Details

### addColumn

    public void addColumn(TableColumn column)

### freeze

    public void freeze()

### getBorder

    public Border getBorder()

### getColumn

    public TableColumn getColumn(int pos)

### getColumnCount

    public int getColumnCount()